> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/business-profile/ip-quality-check.md).

# IP Quality Check

The API designed to take an IP address as input, provides a wealth of valuable data, including the Autonomous System Number (ASN), Internet Service Provider (ISP) details, precise geographical location, and indicators of potential malicious activity. This powerful solution is an indispensable asset for businesses aiming to strengthen their cybersecurity measures and enhance operational efficiency.

## ip\_quality\_check

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/ip_quality_check`

#### Sample Request Body

<table><thead><tr><th width="167">Body</th><th width="148">Type</th><th>Mandatory</th><th width="217">Description</th></tr></thead><tbody><tr><td>ip</td><td>string</td><td>Yes</td><td>IP Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "ip": "208.217.XX.XXX"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "ec10d451-7547-4b7a-9cce-b89b76364303",
    "status": "completed",
    "result": {
        "asn": "AS701",
        "isp": "",
        "countryCode": "US",
        "region": "KANSAS",
        "city": "PRETTY PRAIRIE",
        "organization": "Verizon Business",
        "latitude": "37.75993",
        "longitude": "-97.82154",
        "isCrawler": "false",
        "timezone": "America/Chicago",
        "mobile": "false",
        "host": "208.217.33.67",
        "proxy": "false",
        "vpn": "false",
        "tor": "false",
        "recentAbuse": "true",
        "botStatus": "false",
        "fraudScore": "0",
        "address": "E Main Rd, Pretty Prairie, KS 67570, United States"
    },
    "requested_at": "2026-05-28T07:38:41.016Z",
    "completed_at": "2026-05-28T07:38:42.202Z"
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "a36b94b0-5144-4851-95f1-23689054c8e7",
    "status": "in_progress",
    "requested_at": "2026-05-21T08:02:49.988Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "IP Address should not be empty",
    "error": {
    "message": "IP Address should not be empty",
    "field": "ip",
    "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json

{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "cd40210f-95de-419d-8624-d0c9ece62588",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-21T10:10:32.826Z",
    "completed_at": "2026-05-21T10:10:35.253Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/ip_quality_check`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "ec10d451-7547-4b7a-9cce-b89b76364303",
    "status": "completed",
    "result": {
        "asn": "AS701",
        "isp": "",
        "countryCode": "US",
        "region": "KANSAS",
        "city": "PRETTY PRAIRIE",
        "organization": "Verizon Business",
        "latitude": "37.75993",
        "longitude": "-97.82154",
        "isCrawler": "false",
        "timezone": "America/Chicago",
        "mobile": "false",
        "host": "208.217.33.67",
        "proxy": "false",
        "vpn": "false",
        "tor": "false",
        "recentAbuse": "true",
        "botStatus": "false",
        "fraudScore": "0",
        "address": "E Main Rd, Pretty Prairie, KS 67570, United States"
    },
    "requested_at": "2026-05-28T07:38:41.016Z",
    "completed_at": "2026-05-28T07:38:42.202Z"
}
```

{% endtab %}

{% tab title="200: Inprogress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "a36b94b0-5144-4851-95f1-23689054c8e7",
    "status": "in_progress",
    "requested_at": "2026-05-21T08:02:49.988Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid IP Address",
    "error": {
    "message": "Invalid IP Address",
    "field": "ip",
    "code": "BAD_REQUEST"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/ip-quality-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
